/*
** mg_mask.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:05:28 1999 vianney rancurel
** Last update Thu Oct 28 20:17:37 1999 
*/
#ifndef MG_MASK_H
#define MG_MASK_H	1

#include "mg.h"

typedef unsigned long	t_mask;

typedef struct		s_mask_def
{
  char			*str;
  t_mask		mask;
} t_mask_def;

#define NULL_MASK_DEF	{NULL,0}

/* PROTO mg_mask.c */
/* mg_mask.c */
t_mask_def *mask_get_def_from_str P((t_mask_def *defs, char *str));
t_mask_def *mask_get_def_from_mask P((t_mask_def *defs, t_mask mask));
t_status mask_from_vec_str P((t_mask_def *defs, t_vec *vec_str, t_mask *mask));
t_status mask_to_str P((t_mask_def *defs, t_mask mask, char *sep, int residue_base, char *str, int max_len));
#endif
